# H245_EnhancementLayerInfo Class Reference

`#include <h245.h>`

Inheritance diagram for H245_EnhancementLayerInfo:

List of all members.

## Public Types

enum | OptionalFields { e_snrEnhancement, e_spatialEnhancement, e_bPictureEnhancement }

## Public Member Functions

| H245_EnhancementLayerInfo (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_baseBitRateConstrained
H245_ArrayOf_EnhancementOptions | m_snrEnhancement
H245_ArrayOf_EnhancementOptions | m_spatialEnhancement
H245_ArrayOf_BEnhancementParameters | m_bPictureEnhancement

## Member Enumeration Documentation

enum H245_EnhancementLayerInfo::OptionalFields

Enumerator:

  e_snrEnhancement |
  e_spatialEnhancement |
  e_bPictureEnhancement |

## Constructor & Destructor Documentation

H245_EnhancementLayerInfo::H245_EnhancementLayerInfo | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_EnhancementLayerInfo::GetDataLength | ( |  | ) | const

PBoolean H245_EnhancementLayerInfo::Decode | ( | PASN_Stream & | strm | ) |

void H245_EnhancementLayerInfo::Encode | ( | PASN_Stream & | strm | ) | const

void H245_EnhancementLayerInfo::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_EnhancementLayerInfo::Compare | ( | const PObject & | obj | ) | const

PObject* H245_EnhancementLayerInfo::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H245_EnhancementLayerInfo::m_baseBitRateConstrained

H245_ArrayOf_EnhancementOptions H245_EnhancementLayerInfo::m_snrEnhancement

H245_ArrayOf_EnhancementOptions H245_EnhancementLayerInfo::m_spatialEnhancement

H245_ArrayOf_BEnhancementParameters H245_EnhancementLayerInfo::m_bPictureEnhancement

The documentation for this class was generated from the following file:

- h245.h